> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rate

> This endpoint allows you get onramp rate for a currency.



## OpenAPI

````yaml openapi.json get /rate/onramp
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /rate/onramp:
    get:
      tags:
        - Onramp
      summary: Get rate
      description: This endpoint allows you get onramp rate for a currency.
      operationId: getOnrampRate
      parameters:
        - name: currency
          in: query
          required: true
          description: The currency code to get the onramp rate for
          schema:
            type: string
            enum:
              - NGN
            example: NGN
      responses:
        '200':
          description: Onramp rate fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnrampRateResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OnrampRateResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Onramp rate fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-10T01:35:36.935Z'
        data:
          type: object
          properties:
            rate:
              type: number
              description: The current onramp rate for the specified currency
              example: 1521
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````